#include <libporty/net/network.h>
#include "sockev.h"
#include "sockev_internal.h"

sockev_t sockev_sock(sockev_t id, P_net_socket sck)
{
	if (id == SOCKEV_NEW)
		id = sockev_alloc();
	SOCKS[id].s = sck;
	SOCKS[id].state = ST_COMM;
	SOCKS[id].alive = SA_WR | SA_RD; /* allow write - it's buffered */
	SOCKS[id].watch = SA_RD; /* poll for read */
	sockev_setfds(id, sck, sck);
	sockev_setpoll(id);
	return id;
}

